Permalink
Browse files

hand-craft the gemspec instead of relying on Jeweler

  • Loading branch information...
tilsammans committed Aug 12, 2011
1 parent c0610c0 commit 1ad6f843a9e32becc66788228b975ce4fcbd7c57
Showing with 13 additions and 56 deletions.
  1. +13 −56 nilly_vanilly.gemspec
View
@@ -1,61 +1,18 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "nilly_vanilly/version"
Gem::Specification.new do |s|
- s.name = %q{nilly_vanilly}
- s.version = "0.1.0"
+ s.name = "nilly_vanilly"
+ s.version = NillyVanilly::VERSION
+ s.authors = ["Joost Baaij"]
+ s.email = ["joost@spacebabies.nl"]
+ s.homepage = "https://github.com/tilsammans/nilly_vanilly"
+ s.summary = %q{This plugin stores NULL in your database when you try to store an empty string.}
+ s.description = %q{This plugin stores NULL in your database when you try to store an empty string.}
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Joost Baaij"]
- s.date = %q{2011-01-21}
- s.email = %q{joost@spacebabies.nl}
- s.extra_rdoc_files = [
- "README.markdown"
- ]
- s.files = [
- "README.markdown",
- "Rakefile",
- "VERSION",
- "lib/nilly_vanilly.rb",
- "lib/nilly_vanilly/nillify.rb",
- "lib/tasks/nilly_vanilly.rake",
- "rails/init.rb",
- "spec/database.yml",
- "spec/models.rb",
- "spec/nilly_vanilly_spec.rb",
- "spec/schema.rb",
- "spec/spec_helper.rb"
- ]
- s.homepage = %q{http://github.com/tilsammans/nilly_vanilly}
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{This plugin stores NULL in your database when you try to store an empty string.}
- s.test_files = [
- "spec/models.rb",
- "spec/nilly_vanilly_spec.rb",
- "spec/schema.rb",
- "spec/spec_helper.rb"
- ]
-
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<activerecord>, ["~> 2.3"])
- s.add_development_dependency(%q<rspec>, ["~> 1.3.1"])
- s.add_development_dependency(%q<jeweler>, ["~> 0.5.2"])
- else
- s.add_dependency(%q<activerecord>, ["~> 2.3"])
- s.add_dependency(%q<rspec>, ["~> 1.3.1"])
- s.add_dependency(%q<jeweler>, ["~> 0.5.2"])
- end
- else
- s.add_dependency(%q<activerecord>, ["~> 2.3"])
- s.add_dependency(%q<rspec>, ["~> 1.3.1"])
- s.add_dependency(%q<jeweler>, ["~> 0.5.2"])
- end
-end
-
+end

0 comments on commit 1ad6f84

Please sign in to comment.